%global momorel 1
Name:           highlight

Summary:        Universal source code to formatted text converter

Version:        3.31
Release: %{momorel}m%{?dist}

Group:          Development/Tools
License:        GPLv3

URL:            http://www.andre-simon.de/
Source0:        http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2
NoSource: 0
Patch1:         highlight-3.18-lua51.patch

BuildRequires:  qt-devel >= 4.4
BuildRequires:  lua-devel >= 5.2
BuildRequires:  boost-devel
# Only required for 3.16.1
BuildRequires:  desktop-file-utils

%{?filter_setup:
%filter_from_provides /^perl(/d;
%filter_from_requires /^perl(/d;
%filter_setup
}

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%package gui
Summary:        GUI for the hihghlight source code formatter
Requires:       %{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep
%setup -q
#%%patch1 -p1 -b .lua51~

%build
%make  CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=
rm -rf src/gui-qt/moc*
make gui %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"  \
                         QMAKE="qmake-qt4" \
                         LDFLAGS=

%install
make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

make install-gui DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

%files
%defattr(-,root,root,-)
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*

%config(noreplace) %{_sysconfdir}/highlight/

%doc ChangeLog AUTHORS README* COPYING TODO examples/

%files gui
%defattr(-,root,root,-)
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/pixmaps/highlight.xpm

%changelog
* Wed Aug 31 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (3.31-1m)
- update 3.31

* Sat Jan 10 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (3.20-1m)
- update 3.20

* Wed Oct  8 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.18-3m)
- add patch to fix build failure

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.18-2m)
- update

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.18-2m)
- update

* Tue Jun 25 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.13-1m)
- import from fedora

